import $ from 'jquery';
require('./hak.scss');

$(function() {
    let $firstName = $('input[name="billing_first_name"]'),
        $lastName = $('input[name="billing_last_name"]'),
        $hakMemberId = $('input[name="hakMemberId"]'),
        $hakMemberIdGroup = $hakMemberId.closest('.form-group'),
        validations = {};

    function update(response) {
        $hakMemberId.removeClass('is-invalid is-valid');
        $hakMemberIdGroup.removeClass('has-danger has-success');
        $hakMemberIdGroup.find('.invalid-feedback').remove();
        $hakMemberIdGroup.find('.valid-feedback').remove();
        
        if (response) {
            if (response.success) {
                $hakMemberId.addClass('is-valid');
                $hakMemberIdGroup.addClass('has-success');
                $('<div class="valid-feedback"/>').html(response.message).insertAfter($hakMemberId);
                $('#coupon_code').val('hakcoupon');
                $('input[name="apply_coupon"]').click();
            } else {
                $hakMemberId.addClass('is-invalid');
                $hakMemberIdGroup.addClass('has-danger');
                $('<div class="invalid-feedback"/>').html(response.message).insertAfter($hakMemberId);
                $('body').trigger('update_checkout');
            }
        }
    }

    $('button.hak-check').on('click', function() {
        let firstName = $firstName.val(),
            lastName = $lastName.val(),
            hakMemberId = $hakMemberId.val();

        update();

        if (firstName && lastName && hakMemberId) {
            let validationKey = [firstName, lastName, hakMemberId].join('HAK');

            if (typeof validations[validationKey] !== 'undefined') {
                update(validations[validationKey]);
            }

            $.ajax({
                url: ep_webshop.ajaxurl,
                method: 'POST',
                data: {
                    action: 'hak_connect',
                    firstName: firstName,
                    lastName: lastName,
                    memberId: hakMemberId,
                },
                success: function(response)
                {
                    validations[validationKey] = response;
                    update(response);
                }
            });
        } else {
            update({
                success: false,
                message: 'Morate unijeti ime, prezime i broj članske iskaznice.',
            })
        }
    });
});