<?php
return [
	'type' => \Ep\WordPress\Form\SettingsForm::class,

	'attributes' => [
		'title' => 'HAK Postavke',
	],

	'elements' => [[
		'spec' => [
			'type' => 'checkbox',
			'name' => 'enabled',
			'options' => [
				'label' => 'Uključi/isključi',
				'description' => 'Omogući HAK integraciju',
			],
		],
	], [
		'spec' => [
			'type' => 'url',
			'name' => 'base_uri',
			'options' => [
				'label' => 'Osnovni URI API-ja',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'membership_endpoint',
			'options' => [
				'label' => 'Krajnja točka',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'device',
			'options' => [
				'label' => 'Device',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'username',
			'options' => [
				'label' => 'Username',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'token',
			'options' => [
				'label' => 'Token',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'checkButtonLabel',
			'options' => [
				'label' => 'Oznaka gumba za provjeru',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'couponName',
			'options' => [
				'label' => 'Naziv kupona',
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'discountPercentage',
			'options' => [
				'label' => 'Iznos popusta (%)',
			],
		],
	]],

	'input_filter' => [
		'base_uri' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'membership_endpoint' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'device' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'username' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'token' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'checkButtonLabel' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'couponName' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
		],

		'discountPercentage' => [
			'required' => true,
			'validator_chain' => 'EnableModuleChain',
			'validators' => [[
				'name' => \Zend\Validator\Digits::class,
			]],
		],
	],
];
