<?php

use GuzzleHttp\Client;
use GuzzleHttp\ClientInterface;

/**
 * Vraća rezultat upita za članstvo.
 *
 * @param $firstName
 * @param $lastName
 * @param $memberId
 *
 * @return array
 */
function ep_hak_validate($firstName, $lastName, $memberId)
{
	$client = ep_hak_client();
	$response = $client->request('POST', null, [
		'json' => [
			'first_name' => $firstName,
			'last_name' => $lastName,
			'member_id' => $memberId,
		],
	]);

	$result = json_decode($response->getBody()->getContents(), true);
	return $result[0];
}

/**
 * @return ClientInterface
 */
function ep_hak_client()
{
	static $client;

	if (!isset($client)) {
		$options = get_option('ep_hak');

		$headers['Content-Type'] = 'application/json';
		$headers['Cache-Control'] = 'no-cache';

		if (isset($options['device']) && !empty($options['device'])) {
			$headers['Device'] = $options['device'];
		}

		if (isset($options['username']) && !empty($options['username'])) {
			$headers['Username'] = $options['username'];
		}

		if (isset($options['token']) && !empty($options['token'])) {
			$headers['Token'] = $options['token'];
		}

		$client = new Client([
			'base_uri' => 'https://web2.hak.hr/tehnickapomocapi/api/1.0/CheckMemberships',
			'headers' => $headers,
		]);
	}

	return $client;
}